using System.ComponentModel.DataAnnotations;

namespace DoliMiddlewareApi.Dtos.command;

public class UpdateContactDto
{
    [StringLength(100)]
    public string? Lastname { get; set; }

    [StringLength(100)]
    public string? Firstname { get; set; }

    [EmailAddress]
    [StringLength(200)]
    public string? Email { get; set; }

    [StringLength(50)]
    public string? PhonePro { get; set; }

    [StringLength(50)]
    public string? PhonePerso { get; set; }

    [StringLength(50)]
    public string? PhoneMobile { get; set; }

    [StringLength(255)]
    public string? Address { get; set; }

    [StringLength(50)]
    public string? Zip { get; set; }

    [StringLength(50)]
    public string? Town { get; set; }
}